Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/Installer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/Installer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/Installer.java	(revision 17514)
@@ -29,6 +29,4 @@
 import org.tp23.antinstaller.runtime.exe.ExecuteRunnerFilter.AbortException;
 
-
-
 /**
  * <p>Object representation of the Installer element in the config. </p>
@@ -43,10 +41,10 @@
 
 	// i18n support
-	private static ResourceBundle langPack = null;
-	static{
+	public static ResourceBundle langPack = null;
+	static {
 		try {
 			langPack = ResourceBundle.getBundle("resources.LanguagePack");
 		} catch (MissingResourceException e) {
-			// ignore, signifies no lang packs installed  
+			// ignore, signifies no lang packs installed
 		}
 	}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/antmod/FeedbackListener.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/antmod/FeedbackListener.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/antmod/FeedbackListener.java	(revision 17514)
@@ -21,4 +21,6 @@
 import org.apache.tools.ant.BuildListener;
 import org.tp23.antinstaller.renderer.swing.SwingInstallerContext;
+import org.tp23.antinstaller.Installer;
+
 /**
  *
@@ -35,5 +37,4 @@
 
 	private final SwingInstallerContext swingCtx;
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	public FeedbackListener(SwingInstallerContext swingCtx) {
@@ -57,5 +58,5 @@
 	 */
 	public void buildFinished(BuildEvent buildEvent) {
-		swingCtx.provideAntFeedBack(res.getString("installFinished"));
+		swingCtx.provideAntFeedBack(org.tp23.antinstaller.Installer.langPack.getString("installFinished"));
 		swingCtx.buildFinished(buildEvent);
 	}
@@ -67,5 +68,5 @@
 	 */
 	public void targetStarted(BuildEvent buildEvent) {
-		swingCtx.provideAntFeedBack(res.getString("running")+buildEvent.getTarget());
+		swingCtx.provideAntFeedBack(org.tp23.antinstaller.Installer.langPack.getString("running")+buildEvent.getTarget());
 		swingCtx.targetStarted(buildEvent);
 	}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/AppRootInput.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/AppRootInput.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/AppRootInput.java	(revision 17514)
@@ -36,7 +36,4 @@
 	extends DirectoryInput {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
-
     private String checkFile1;
     private String checkFile2;
@@ -63,5 +60,5 @@
 //		}
 		if(!file.isDirectory()){
-			mr.printMessage(res.getString("dirNotExist")+":"+file.getAbsolutePath());
+			mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("dirNotExist")+":"+file.getAbsolutePath());
 			return false;
 		}
@@ -92,11 +89,11 @@
 	private void reportMissing(MessageRenderer mr,File missing){
 		StringBuffer message = new StringBuffer();
-		message.append(res.getString("appRootInvalid"));
+		message.append(org.tp23.antinstaller.Installer.langPack.getString("appRootInvalid"));
 		message.append(System.getProperty("line.separator"));
 		if(missing.isDirectory()){
-			message.append(res.getString("dirNotExist"));
+			message.append(org.tp23.antinstaller.Installer.langPack.getString("dirNotExist"));
 		}
 		else{
-			message.append(res.getString("fileNotExist"));
+			message.append(org.tp23.antinstaller.Installer.langPack.getString("fileNotExist"));
 		}
 		message.append(":");
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/DirectoryInput.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/DirectoryInput.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/DirectoryInput.java	(revision 17514)
@@ -34,7 +34,4 @@
 	extends OSSpecific {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
-
 	private boolean abort = false;
     private String create;
@@ -54,5 +51,5 @@
         if( "".equals(selectedName) ){
             if( InputField.isTrue(create) || InputField.isTrue(checkExists) ){
-                mr.printMessage(res.getString("dirNotExist"));
+                mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("dirNotExist"));
                 return false;
             }
@@ -65,16 +62,16 @@
 			if(!file.exists()){
 				try {
-					if(mr.prompt(res.getString("dirNotExistCreate") + "\n" + file.getAbsolutePath())){
+					if(mr.prompt(org.tp23.antinstaller.Installer.langPack.getString("dirNotExistCreate") + "\n" + file.getAbsolutePath())){
 						boolean ok = file.mkdirs();
 						if(!ok){
-							mr.printMessage(res.getString("dirNotCreated"));
+							mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("dirNotCreated"));
 						}
 					}
 				}
 				catch (Exception ex) {
-					mr.printMessage(res.getString("canNotCreateFile") + "\n" + file.getAbsolutePath());
+					mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("canNotCreateFile") + "\n" + file.getAbsolutePath());
                     //FIXME should not throw here, should do something better so users on linux can chmod where necessary
                     // then try again
-					throw new ValidationException(res.getString("canNotCreateFile"),ex);
+					throw new ValidationException(org.tp23.antinstaller.Installer.langPack.getString("canNotCreateFile"),ex);
 					
 				}
@@ -86,5 +83,5 @@
 //			}
 			if(!file.exists() || !file.isDirectory()){
-				mr.printMessage(res.getString("dirNotExist") + "\n" + file.getAbsolutePath());
+				mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("dirNotExist") + "\n" + file.getAbsolutePath());
 				return false;
 			}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/InputField.java	(revision 17514)
@@ -18,4 +18,5 @@
 import java.util.MissingResourceException;
 import java.util.ResourceBundle;
+import org.tp23.antinstaller.Installer;
 
 /**
@@ -29,14 +30,4 @@
 	extends OutputField {
 
-	// i18n support
-	private static ResourceBundle langPack = null;
-	static{
-		try {
-			langPack = ResourceBundle.getBundle("resources.LanguagePack");
-		} catch (MissingResourceException e) {
-			// ignore, signifies no lang packs installed  
-		}
-	}
-
 	private String property;
 	protected String defaultValue;
@@ -46,4 +37,5 @@
 	 */
 	private boolean editted = false;
+	private Installer i = new Installer();
 
 	public InputField() {
@@ -51,13 +43,13 @@
 
 	public String getDisplayText() {
-		if(langPack != null){
-			return langPack.getString(getProperty() + ".displayText");
+		if( org.tp23.antinstaller.Installer.langPack != null){
+			return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + ".displayText");
 		}
 		return displayText;
 	}
 	public String getExplanatoryText() {
-		if(langPack != null){
+		if( org.tp23.antinstaller.Installer.langPack != null ) {
 			try {
-				return langPack.getString(getProperty() + ".explanatoryText");
+				return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + ".explanatoryText");
 			} catch (MissingResourceException e) {
 				// ignore and return null explanatoryText is optional
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/LargeSelectInput.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/LargeSelectInput.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/LargeSelectInput.java	(revision 17514)
@@ -37,14 +37,5 @@
 	extends InputField{
 
-	// i18n support
-	private static ResourceBundle langPack = null;
 	private int optionIdx = 0;
-	static{
-		try {
-			langPack = ResourceBundle.getBundle("resources.LanguagePack");
-		} catch (MissingResourceException e) {
-			// ignore, signifies no lang packs installed  
-		}
-	}
 
 	private LargeSelectInput.Option[] options;
@@ -74,6 +65,6 @@
 		}
 		public String getText() {
-			if(langPack != null){
-				return langPack.getString(getProperty() + "." + idx +".displayText");
+			if( org.tp23.antinstaller.Installer.langPack != null ) {
+				return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + "." + idx +".displayText");
 			}
 			return text;
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/OutputField.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/OutputField.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/OutputField.java	(revision 17514)
@@ -29,14 +29,5 @@
 public abstract class OutputField {
 
-	// i18n support
-	private static ResourceBundle langPack = null;
 	private static int commentIdx = 0;
-	static{
-		try {
-			langPack = ResourceBundle.getBundle("resources.LanguagePack");
-		} catch (MissingResourceException e) {
-			// ignore, signifies no lang packs installed 
-		}
-	}
 	
 	/* This is redundant unless language packs are used
@@ -65,6 +56,6 @@
 
 	public String getDisplayText() {
-		if(langPack != null){
-			return langPack.getString(getName() + ".displayText");
+		if( org.tp23.antinstaller.Installer.langPack != null ) {
+			return org.tp23.antinstaller.Installer.langPack.getString(getName() + ".displayText");
 		}
 		return displayText;
@@ -76,7 +67,7 @@
 
 	public String getExplanatoryText() {
-		if(langPack != null){
+		if( org.tp23.antinstaller.Installer.langPack != null ) {
 			try {
-				return langPack.getString(getName() + ".explanatoryText");
+				return org.tp23.antinstaller.Installer.langPack.getString(getName() + ".explanatoryText");
 			} catch (MissingResourceException e) {
 				// ignore and return null explanatoryText is optional
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/input/SelectInput.java	(revision 17514)
@@ -19,8 +19,8 @@
 import java.util.MissingResourceException;
 import java.util.ResourceBundle;
-
+import java.util.Locale;
 import org.tp23.antinstaller.InstallerContext;
 import org.tp23.antinstaller.ValidationException;
-
+import org.tp23.antinstaller.Installer;
 
 
@@ -35,20 +35,15 @@
  */
 public class SelectInput
-	extends InputField{
+	extends InputField {
 
-	// i18n support
-	private static ResourceBundle langPack = null;
 	private int optionIdx = 0;
-	static{
-		try {
-			langPack = ResourceBundle.getBundle("resources.LanguagePack");
-		} catch (MissingResourceException e) {
-			// ignore, signifies no lang packs installed  
-		}
+	private SelectInput.Option[] options;
+	private boolean useAsLocale = false;
+
+	public SelectInput() {
 	}
 
-	private SelectInput.Option[] options;
-
-	public SelectInput() {
+	public void setUseAsLocale(boolean ual) {
+		this.useAsLocale = ual;
 	}
 
@@ -75,6 +70,6 @@
 		}
 		public String getText() {
-			if(langPack != null){
-				return langPack.getString(getProperty() + "." + idx +".displayText");
+			if( org.tp23.antinstaller.Installer.langPack != null ){
+				return org.tp23.antinstaller.Installer.langPack.getString(getProperty() + "." + idx +".displayText");
 			}
 			return text;
@@ -84,4 +79,13 @@
 	public void setValue(String value){
 		setInputResult(value);
+		if ( useAsLocale ) {
+			//expect something like 'en' or or something like 'en_US'
+			if ( value.length() == 2 ) {
+				Locale.setDefault( new Locale(value) );
+			} else if ( value.length() == 5 ) {
+				Locale.setDefault( new Locale(value.substring(0,2), value.substring(3,5)) );
+			} //else { you're out of luck }
+			org.tp23.antinstaller.Installer.langPack = ResourceBundle.getBundle("resources.LanguagePack");
+		}
 	}
 	
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/page/Page.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/page/Page.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/page/Page.java	(revision 17514)
@@ -44,15 +44,4 @@
 public abstract class Page {
 
-//	 i18n support
-	private static ResourceBundle langPack = null;
-	//private static ResourceBundle otherLangPack = null;
-	static{
-		try {
-			langPack = ResourceBundle.getBundle("resources.LanguagePack");
-		} catch (MissingResourceException e) {
-			// ignore, signifies no lang packs installed  
-		}
-	}
-	
 	//private static final int MAX_TARGETS = 10;
 	private String name;
@@ -79,6 +68,6 @@
 
 	public String getDisplayText() {
-		if( langPack != null){
-			return langPack.getString("page." + getName() + ".displayText");
+		if( org.tp23.antinstaller.Installer.langPack != null ) {
+			return org.tp23.antinstaller.Installer.langPack.getString("page." + getName() + ".displayText");
 		}
 		return displayText;
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ConfirmPasswordTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ConfirmPasswordTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ConfirmPasswordTextInputRenderer.java	(revision 17514)
@@ -20,8 +20,6 @@
 public class ConfirmPasswordTextInputRenderer extends PasswordTextInputRenderer{
 	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	
 	protected String getErrorMessage(){
-		return res.getString("passwordsDoNotMatch");
+		return org.tp23.antinstaller.Installer.langPack.getString("passwordsDoNotMatch");
 	}
 }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/DateInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/DateInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/DateInputRenderer.java	(revision 17514)
@@ -33,6 +33,4 @@
 	extends SwingOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	
 	protected DateInput inputField;
 
@@ -96,5 +94,5 @@
 	public void renderError() {
 		MessageRenderer mr = ctx.getMessageRenderer();
-		mr.printMessage(res.getString("notCorrectFormat") + "\n\n " + inputField.getDateFormat());
+		mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("notCorrectFormat") + "\n\n " + inputField.getDateFormat());
 		//fixed BUG1295944 mr.printMessage("The field is not of the correct format\n\n "+inputField.getDateFormat());
 		this.jTextField.requestFocus();
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/DirectoryInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/DirectoryInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/DirectoryInputRenderer.java	(revision 17514)
@@ -37,6 +37,4 @@
 public class DirectoryInputRenderer
 	extends SwingOutputFieldRenderer {
-
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
     private static final String EMPTY_STRING = "";
@@ -119,5 +117,5 @@
 			}
 		});
-		browseButton.setText(res.getString("selectFolder"));
+		browseButton.setText(org.tp23.antinstaller.Installer.langPack.getString("selectFolder"));
 		browseButton.setPreferredSize(new Dimension(150, SizeConstants.FIELD_HEIGHT));
 
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/FileInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/FileInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/FileInputRenderer.java	(revision 17514)
@@ -36,6 +36,4 @@
 public class FileInputRenderer
 	extends SwingOutputFieldRenderer {
-
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected FileInput inputField;
@@ -103,5 +101,5 @@
 			}
 		});
-		browseButton.setText(res.getString("selectFile"));
+		browseButton.setText(org.tp23.antinstaller.Installer.langPack.getString("selectFile"));
 		browseButton.setPreferredSize(new Dimension(150, SizeConstants.FIELD_HEIGHT));
 
@@ -133,5 +131,5 @@
 	public void renderError() {
 		MessageRenderer mr = ctx.getMessageRenderer();
-		mr.printMessage(res.getString("fileNotExist"));
+		mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("fileNotExist"));
 		this.jTextField.requestFocus();
 		this.jTextField.setForeground(Color.red);
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LargeSelectInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LargeSelectInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LargeSelectInputRenderer.java	(revision 17514)
@@ -30,6 +30,4 @@
 public class LargeSelectInputRenderer
 	extends SwingOutputFieldRenderer {
-
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected LargeSelectInput inputField;
@@ -111,5 +109,5 @@
 	 */
 	public void renderError() {
-		ctx.getMessageRenderer().printMessage(res.getString("notValidSelection"));
+		ctx.getMessageRenderer().printMessage(org.tp23.antinstaller.Installer.langPack.getString("notValidSelection"));
 		optionCombo.requestFocus();
 	}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LicensePageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LicensePageRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/LicensePageRenderer.java	(revision 17514)
@@ -42,6 +42,4 @@
 public class LicensePageRenderer
 	extends SwingPageRenderer {
-
-    private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	private JTextArea licenseTextArea = new JTextArea();
@@ -90,7 +88,7 @@
 		this.add(scrollPane, BorderLayout.CENTER);
 
-		getNextButton().setText( res.getString( "license.next.text" ) );
+		getNextButton().setText( org.tp23.antinstaller.Installer.langPack.getString( "license.next.text" ) );
 		getNextButton().setIcon(getImage("/resources/icons/ok.png"));
-		getCancelButton().setText( res.getString( "license.cancel.text" ) );
+		getCancelButton().setText( org.tp23.antinstaller.Installer.langPack.getString( "license.cancel.text" ) );
 
     }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/PasswordTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/PasswordTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/PasswordTextInputRenderer.java	(revision 17514)
@@ -27,6 +27,4 @@
 
 public class PasswordTextInputRenderer extends ValidatedTextInputRenderer{
-	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	
     public PasswordTextInputRenderer() {
@@ -59,5 +57,5 @@
 	}
 	protected String getErrorMessage(){
-		return res.getString("notCorrectPasswordFormat") + 
+		return org.tp23.antinstaller.Installer.langPack.getString("notCorrectPasswordFormat") + 
 				"\n\n e.g. " + 
 				inputField.getDefaultValue();
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ProgressPageRenderer.java	(revision 17514)
@@ -47,5 +47,4 @@
 	implements AntOutputRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	private static final int MESSAGE_PANEL_HEIGHT = 30;
 
@@ -103,7 +102,7 @@
 
 		//FIXME not i18n properly since the sentence is not correct ordering in German
-		feedBackLabel.setText(res.getString("click")+" "+ctx.getInstaller().getFinishButtonText()+" "+res.getString("toContinue"));
+		feedBackLabel.setText(org.tp23.antinstaller.Installer.langPack.getString("click")+" "+ctx.getInstaller().getFinishButtonText()+" "+org.tp23.antinstaller.Installer.langPack.getString("toContinue"));
 		feedBackLabel.setBounds(new Rectangle(115, 7, 272, 22));
-		jToggleButton.setText(res.getString("showDetails"));
+		jToggleButton.setText(org.tp23.antinstaller.Installer.langPack.getString("showDetails"));
 		jToggleButton.setBounds(new Rectangle(5, 7, 104, 22));
 		jToggleButton.setMargin(new Insets(0,0,0,0));
@@ -138,6 +137,6 @@
 			contentPanel.add(progressScrollPane, BorderLayout.CENTER);
 		}
-		jTabbedPane.add(res.getString("output"), outPanel);
-		jTabbedPane.add(res.getString("errors"), errPanel);
+		jTabbedPane.add(org.tp23.antinstaller.Installer.langPack.getString("output"), outPanel);
+		jTabbedPane.add(org.tp23.antinstaller.Installer.langPack.getString("errors"), errPanel);
 //		if(OutputField.isTrue( ctx.getInstaller().getAntialiased())){
 //			outPanel.setAntialiased(true);
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SelectInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SelectInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SelectInputRenderer.java	(revision 17514)
@@ -33,6 +33,4 @@
 	extends SwingOutputFieldRenderer {
 	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected SelectInput inputField;
 
@@ -132,5 +130,5 @@
 	 */
 	public void renderError() {
-		ctx.getMessageRenderer().printMessage(res.getString("notValidSelection"));
+		ctx.getMessageRenderer().printMessage(org.tp23.antinstaller.Installer.langPack.getString("notValidSelection"));
 		// fixed BUG:1295944  ctx.getMessageRenderer().printMessage("Not a valid selection");
 		//optionGroup.requestFocus();
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/SwingPageRenderer.java	(revision 17514)
@@ -49,6 +49,4 @@
 	extends JPanel {
 	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	// gui components
 	private BorderLayout borderLayout1 = new BorderLayout();
@@ -151,7 +149,7 @@
 		controlPanel.add(nextButton, null);
 		controlPanel.add(finishButton, null);
-		backButton.setText(res.getString("backButton"));// "<< Back");
-		cancelButton.setText(res.getString("cancelButton"));// "Cancel");
-		nextButton.setText(res.getString("nextButton"));// "Next >>");
+		backButton.setText(org.tp23.antinstaller.Installer.langPack.getString("backButton"));// "<< Back");
+		cancelButton.setText(org.tp23.antinstaller.Installer.langPack.getString("cancelButton"));// "Cancel");
+		nextButton.setText(org.tp23.antinstaller.Installer.langPack.getString("nextButton"));// "Next >>");
 		finishButton.setText(ctx.getInstaller().getFinishButtonText());
 		finishButton.setEnabled(false);
@@ -223,5 +221,5 @@
 		finishButton.addActionListener(new ActionListener(){
 			public void actionPerformed(ActionEvent e){
-				if(finishButton.getText().equals(res.getString("exit"))) {
+				if(finishButton.getText().equals(org.tp23.antinstaller.Installer.langPack.getString("exit"))) {
                     //TODO FindBugs this will prevent cleanup in FinalizerFilter
 					System.exit(0);
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ValidatedTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ValidatedTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/swing/ValidatedTextInputRenderer.java	(revision 17514)
@@ -32,6 +32,4 @@
 
 public class ValidatedTextInputRenderer extends SwingOutputFieldRenderer {
-
-    private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
     protected ValidatedTextInput inputField;
@@ -103,5 +101,5 @@
     public void renderError() {
         MessageRenderer mr = ctx.getMessageRenderer();
-        mr.printMessage(res.getString("notCorrectFormat") + "\n\n e.g. "
+        mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("notCorrectFormat") + "\n\n e.g. "
                 + inputField.getDefaultValue());
         this.jTextField.requestFocus();
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/AbstractTextPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/AbstractTextPageRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/AbstractTextPageRenderer.java	(revision 17514)
@@ -84,6 +84,5 @@
 	}
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	private static final char[] affimativeChars = parseChars(res.getString("affirmativeChars"));
+	private static final char[] affimativeChars = parseChars(org.tp23.antinstaller.Installer.langPack.getString("affirmativeChars"));
     
 	private static char[] parseChars(String commaSeparated){
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/CheckboxInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/CheckboxInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/CheckboxInputRenderer.java	(revision 17514)
@@ -30,6 +30,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected InstallerContext ctx;
 
@@ -45,10 +43,10 @@
 		out.print(iField.getDisplayText());
 		out.print("   [");
-		out.print(res.getString("_default_"));
+		out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		out.print(":");
 		out.print(iField.getDefaultValue());
 		out.print("]");
 		if (InputField.isTrue(iField.getForce())) {
-			out.println(res.getString("_required_"));
+			out.println(org.tp23.antinstaller.Installer.langPack.getString("_required_"));
 			iField.setValue(iField.getDefaultValue());
 			return;
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConditionalFieldRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConditionalFieldRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConditionalFieldRenderer.java	(revision 17514)
@@ -36,6 +36,6 @@
 public class ConditionalFieldRenderer implements TextOutputFieldRenderer
 {
-    private static final ResourceBundleHelper res = new ResourceBundleHelper("resources.LanguagePack");
 
+    private ResourceBundleHelper resHelper = new ResourceBundleHelper( "resources.LanguagePack" );
     private InstallerContext context;
 
@@ -64,10 +64,10 @@
         catch( ConfigurationException configExc )
         {
-            throw new InstallException( res.getMessage( "invalid.conditional.expression", conditional.getIfProperty()),
+            throw new InstallException( resHelper.getMessage( "invalid.conditional.expression", conditional.getIfProperty()),
                                                         configExc );
         }
         catch( ClassNotFoundException clsNotFoundExc )
         {
-            throw new InstallException( res.getMessage( "text.render.not.found" ),
+            throw new InstallException( resHelper.getMessage( "text.render.not.found" ),
                                                         clsNotFoundExc );
         }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConfirmPasswordTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConfirmPasswordTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ConfirmPasswordTextInputRenderer.java	(revision 17514)
@@ -5,8 +5,6 @@
 public class ConfirmPasswordTextInputRenderer extends PasswordTextInputRenderer {
 	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	
 	protected String getErrorMessage(){
-		return res.getString("passwordsDoNotMatch");
+		return org.tp23.antinstaller.Installer.langPack.getString("passwordsDoNotMatch");
 	}	
 
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DateInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DateInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DateInputRenderer.java	(revision 17514)
@@ -29,6 +29,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected InstallerContext ctx;
 	public DateInputRenderer() {
@@ -44,5 +42,5 @@
 
 		out.print("   [");
-		out.print(res.getString("_default_"));
+		out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		out.print(":");
 		out.print(iField.getDefaultValue());
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DirectoryInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DirectoryInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/DirectoryInputRenderer.java	(revision 17514)
@@ -28,6 +28,4 @@
 public class DirectoryInputRenderer implements TextOutputFieldRenderer {
 
-    private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
     protected InstallerContext ctx;
 
@@ -44,5 +42,5 @@
 
         out.print("   [");
-        out.print(res.getString("_default_"));
+        out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
         out.print(":");
         out.print(iField.getDefaultValue(true));
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/FileInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/FileInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/FileInputRenderer.java	(revision 17514)
@@ -31,6 +31,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected InstallerContext ctx;
 	public FileInputRenderer() {
@@ -46,5 +44,5 @@
 
 		out.print("   [");
-		out.print(res.getString("_default_"));
+		out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		out.print(":");
 		out.print(iField.getDefaultValue(true));
@@ -61,5 +59,5 @@
 	public void renderError(OutputField field, BufferedReader reader, PrintStream out) throws IOException{
 		MessageRenderer mr = ctx.getMessageRenderer();
-		mr.printMessage(res.getString("fileDoesNotExist"));
+		mr.printMessage(org.tp23.antinstaller.Installer.langPack.getString("fileDoesNotExist"));
 		renderOutput(field, reader, out);
 	}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LargeSelectInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LargeSelectInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LargeSelectInputRenderer.java	(revision 17514)
@@ -29,6 +29,5 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	private static final String nextChar = res.getString("nextChar");
+	private static final String nextChar = org.tp23.antinstaller.Installer.langPack.getString("nextChar");
 
 	protected InstallerContext ctx;
@@ -67,5 +66,5 @@
 		LargeSelectInput.Option[] options = iField.getOptions();
 		out.print("  ");
-		out.println(res.getString("availableOptions"));
+		out.println(org.tp23.antinstaller.Installer.langPack.getString("availableOptions"));
 		StringBuffer optionsData = new StringBuffer();
 		for (int i = 0; i < options.length; i++) {
@@ -76,5 +75,5 @@
 			if(iField.getDefaultValue().equals(options[i].value)){
 				optionsData.append(" [");
-				optionsData.append(res.getString("_default_"));
+				optionsData.append(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 				optionsData.append("]");
 			}
@@ -82,5 +81,5 @@
 		}
 		optionsData.append("  ");
-		optionsData.append(res.getString("enterNumber")).append("\n");
+		optionsData.append(org.tp23.antinstaller.Installer.langPack.getString("enterNumber")).append("\n");
 		Pager pager = new Pager(optionsData.toString());
 		String command = null;
@@ -111,5 +110,5 @@
 	}
 	private String getNextInstructions() {
-		return res.getString("large_select_next");
+		return org.tp23.antinstaller.Installer.langPack.getString("large_select_next");
 	}
 }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LicensePageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LicensePageRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/LicensePageRenderer.java	(revision 17514)
@@ -31,6 +31,5 @@
 	extends AbstractTextPageRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	private static final String nextChar = res.getString("nextChar");
+	private static final String nextChar = org.tp23.antinstaller.Installer.langPack.getString("nextChar");
 	
 	private boolean usePaging = false;
@@ -55,5 +54,5 @@
 			BufferedReader commandReader = reader;
 			out.println();
-			out.println(res.getString("clickViewLicense"));
+			out.println(org.tp23.antinstaller.Installer.langPack.getString("clickViewLicense"));
 			commandReader.readLine();
 
@@ -97,5 +96,5 @@
 			}
 			out.println();
-			out.println(res.getString("licenseAccept"));
+			out.println(org.tp23.antinstaller.Installer.langPack.getString("licenseAccept"));
 			command = commandReader.readLine();
 			command = command.trim();
@@ -114,5 +113,5 @@
 
 	private String getNextInstructions() {
-		return res.getString("license_next");
+		return org.tp23.antinstaller.Installer.langPack.getString("license_next");
 	}
 }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/PasswordTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/PasswordTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/PasswordTextInputRenderer.java	(revision 17514)
@@ -30,6 +30,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	
 	public PasswordTextInputRenderer() {
 	}
@@ -44,5 +42,5 @@
 		displayText.append(field.getDisplayText());
 		displayText.append("   [");
-		displayText.append(res.getString("_default_"));
+		displayText.append(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		displayText.append(":");
 		displayText.append(iField.getDefaultValue());
@@ -75,5 +73,5 @@
 
 	protected String getErrorMessage(){
-		return res.getString("notCorrectPasswordFormat");
+		return org.tp23.antinstaller.Installer.langPack.getString("notCorrectPasswordFormat");
 	}
 	
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/SelectInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/SelectInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/SelectInputRenderer.java	(revision 17514)
@@ -28,6 +28,4 @@
 public class SelectInputRenderer
 	implements TextOutputFieldRenderer {
-
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	protected InstallerContext ctx;
@@ -65,5 +63,5 @@
 		SelectInput.Option[] options = iField.getOptions();
 		out.print("  ");
-		out.println(res.getString("enterNumber"));
+		out.println(org.tp23.antinstaller.Installer.langPack.getString("enterNumber"));
 		for (int i = 0; i < options.length; i++) {
 			out.print("  ");
@@ -73,5 +71,5 @@
 			if(iField.getDefaultValue().equals(options[i].value)){
 				out.print(" [");
-				out.print(res.getString("_default_"));
+				out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 				out.print("]");
 			}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetInputRenderer.java	(revision 17514)
@@ -30,6 +30,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected InstallerContext ctx;
 	public TargetInputRenderer() {
@@ -46,5 +44,5 @@
 
 		out.print("   [");
-		out.print(res.getString("_default_"));
+		out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		out.print(":");
 		out.print(iField.getDefaultValue());
@@ -53,5 +51,5 @@
 		if (InputField.isTrue(iField.getForce())) {
 			out.print("   [");
-			out.print(res.getString("_required_"));
+			out.print(org.tp23.antinstaller.Installer.langPack.getString("_required_"));
 			out.println("]");
 			ctx.getCurrentPage().addTarget(iField.getIdx(), iField.getTarget());
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetSelectInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetSelectInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TargetSelectInputRenderer.java	(revision 17514)
@@ -32,6 +32,4 @@
 	extends SelectInputRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	public TargetSelectInputRenderer() {
 	}
@@ -62,5 +60,5 @@
 		TargetSelectInput.Option[] options = iField.getOptions();
 		out.print("  ");
-		out.println(res.getString("enterNumber"));
+		out.println(org.tp23.antinstaller.Installer.langPack.getString("enterNumber"));
 		for (int i = 0; i < options.length; i++) {
 			out.print("  ");
@@ -70,5 +68,5 @@
 			if(iField.getDefaultValue().equals(options[i].value)){
 				out.print(" [");
-				out.print(res.getString("_default_"));
+				out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 				out.print("]");
 			}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TextPageRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TextPageRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/TextPageRenderer.java	(revision 17514)
@@ -30,6 +30,5 @@
 	extends AbstractTextPageRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	private static final String nextChar = res.getString("nextChar");
+	private static final String nextChar = org.tp23.antinstaller.Installer.langPack.getString("nextChar");
 
 	public TextPageRenderer() {
@@ -85,5 +84,5 @@
 			
 			out.println();
-			out.println(res.getString("clickViewText"));
+			out.println(org.tp23.antinstaller.Installer.langPack.getString("clickViewText"));
 			commandReader.readLine();
 			
@@ -96,5 +95,5 @@
 
 	private String getNextInstructions() {
-		return res.getString("license_next");
+		return org.tp23.antinstaller.Installer.langPack.getString("license_next");
 	}
 }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/UnvalidatedTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/UnvalidatedTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/UnvalidatedTextInputRenderer.java	(revision 17514)
@@ -29,6 +29,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected InstallerContext ctx;
 	public UnvalidatedTextInputRenderer() {
@@ -44,5 +42,5 @@
 
 		out.print("   [");
-		out.print(res.getString("_default_"));
+		out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		out.print(":");
 		out.print(iField.getDefaultValue());
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ValidatedTextInputRenderer.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ValidatedTextInputRenderer.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/renderer/text/ValidatedTextInputRenderer.java	(revision 17514)
@@ -29,6 +29,4 @@
 	implements TextOutputFieldRenderer {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected InstallerContext ctx;
 	public ValidatedTextInputRenderer() {
@@ -44,5 +42,5 @@
 
 		out.print("   [");
-		out.print(res.getString("_default_"));
+		out.print(org.tp23.antinstaller.Installer.langPack.getString("_default_"));
 		out.print(":");
 		out.print(iField.getDefaultValue());
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/ExecInstall.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/ExecInstall.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/ExecInstall.java	(revision 17514)
@@ -49,5 +49,4 @@
 public class ExecInstall {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 	public static final String CONFIG_RESOURCE = "/org/tp23/antinstaller/runtime/exe/script.fconfig";
 	
@@ -118,8 +117,8 @@
 				MessageRenderer vLogger = ctx.getMessageRenderer();
 				if(vLogger != null){
-					vLogger.printMessage(res.getString("installationFailed") + "\n" + ex.getMessage());
+					vLogger.printMessage(org.tp23.antinstaller.Installer.langPack.getString("installationFailed") + "\n" + ex.getMessage());
 					//Fixed BUG:1295944 vLogger.printMessage("Install failed\n" + ex.getMessage());
 				} else {
-					System.err.println(res.getString("installationFailed") + ex.getClass().getName());
+					System.err.println(org.tp23.antinstaller.Installer.langPack.getString("installationFailed") + ex.getClass().getName());
 					System.err.println(ex.getMessage());
 				}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/SwingRunner.java	(revision 17514)
@@ -56,7 +56,4 @@
 public class SwingRunner extends AntRunner implements Runner, PageCompletionListener {
 
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
-
 	protected SwingInstallerContext swingCtx = null;
 	private JFrame frame = new JFrame();
@@ -339,11 +336,11 @@
 		renderer.getNextButton().setEnabled(false);
 		renderer.getCancelButton().setEnabled(false);
-		renderer.getFinishButton().setText(res.getString("exit"));
+		renderer.getFinishButton().setText(org.tp23.antinstaller.Installer.langPack.getString("exit"));
 		renderer.getFinishButton().setEnabled(true);
 		renderer.getFinishButton().requestFocus();
-		renderer.getTitleLabel().setText(res.getString("complete"));
+		renderer.getTitleLabel().setText(org.tp23.antinstaller.Installer.langPack.getString("complete"));
 		ctx.getAntOutputRenderer().getErr().flush();
 		ctx.getAntOutputRenderer().getOut().flush();
-		ctx.getMessageRenderer().printMessage(res.getString("finished"));
+		ctx.getMessageRenderer().printMessage(org.tp23.antinstaller.Installer.langPack.getString("finished"));
 	}
 
@@ -355,8 +352,8 @@
 			renderer.getNextButton().setEnabled(false);
 			renderer.getCancelButton().setEnabled(false);
-			renderer.getFinishButton().setText(res.getString("exit"));
+			renderer.getFinishButton().setText(org.tp23.antinstaller.Installer.langPack.getString("exit"));
 			renderer.getFinishButton().setEnabled(true);
 			renderer.getFinishButton().requestFocus();
-			renderer.getTitleLabel().setText(res.getString("failed"));
+			renderer.getTitleLabel().setText(org.tp23.antinstaller.Installer.langPack.getString("failed"));
 		}
 		// else - we're done here, or should we call abort()?
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/TextRunner.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/TextRunner.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/TextRunner.java	(revision 17514)
@@ -47,6 +47,4 @@
 	implements Runner {
 	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-
 	protected final InstallerContext ctx;
 	protected final Installer installer;
@@ -86,5 +84,5 @@
             logger.log(installer, ex);
 			
-			ctx.getMessageRenderer().printMessage(res.getString("installationFailed") + ":" + ex.getMessage());
+			ctx.getMessageRenderer().printMessage(org.tp23.antinstaller.Installer.langPack.getString("installationFailed") + ":" + ex.getMessage());
 			//Fixed BUG: ctx.getMessageRenderer().printMessage("Installation failed:"+ex.getMessage());
 			throw new InstallException("Installation failed", ex);
@@ -127,5 +125,5 @@
 	 */
 	public void antFinished() {
-		System.out.println(res.getString("finished"));
+		System.out.println(org.tp23.antinstaller.Installer.langPack.getString("finished"));
 		//System.exit(0);
 	}
@@ -134,5 +132,5 @@
 	 */
 	public void fatalError(){
-		System.out.println(res.getString("failed"));
+		System.out.println(org.tp23.antinstaller.Installer.langPack.getString("failed"));
 		//System.exit(1);
 	}
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/AntLauncherFilter.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/AntLauncherFilter.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/AntLauncherFilter.java	(revision 17514)
@@ -23,4 +23,5 @@
 import org.tp23.antinstaller.ResourceBundleHelper;
 import org.tp23.antinstaller.antmod.Launcher;
+import org.tp23.antinstaller.Installer;
 
 /**
@@ -38,6 +39,5 @@
 public class AntLauncherFilter implements ExecuteFilter {
 
-	private static final ResourceBundleHelper resHelper = new ResourceBundleHelper("resources.LanguagePack");
-
+    private ResourceBundleHelper resHelper = new ResourceBundleHelper( "resources.LanguagePack" );
 
 	public AntLauncherFilter() {
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/ExecuteRunnerFilter.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/ExecuteRunnerFilter.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/ExecuteRunnerFilter.java	(revision 17514)
@@ -19,5 +19,5 @@
 import org.tp23.antinstaller.InstallException;
 import org.tp23.antinstaller.InstallerContext;
-
+import org.tp23.antinstaller.Installer;
 
 /**
@@ -27,6 +27,4 @@
  */
 public class ExecuteRunnerFilter implements ExecuteFilter {
-
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	/**
@@ -39,5 +37,5 @@
 		boolean ok = ctx.getRunner().runInstaller();
 		if(!ok){
-			throw new AbortException(res.getString("install-cancelled"));
+			throw new AbortException(Installer.langPack.getString("install-cancelled"));
 		}
 		ctx.log("Install screens rendered");
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/LoadConfigFilter.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/LoadConfigFilter.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/LoadConfigFilter.java	(revision 17514)
@@ -343,4 +343,9 @@
 			options.toArray(optionArr);
 			sInput.setOptions(optionArr);
+
+			String s = field.getAttribute("useAsLocale");
+			if ( s != null || !s.equals("") ) {
+				sInput.setUseAsLocale(true);
+			}
 
 			return sInput;
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/PropertyLoaderFilter.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/PropertyLoaderFilter.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/runtime/exe/PropertyLoaderFilter.java	(revision 17514)
@@ -40,5 +40,4 @@
 import org.tp23.antinstaller.runtime.VersionHelper;
 import org.tp23.antinstaller.runtime.exe.ExecuteRunnerFilter.AbortException;
-
 
 /**
@@ -60,6 +59,4 @@
 public class PropertyLoaderFilter implements ExecuteFilter {
 	
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
-	
 	public static final String LOAD = "true";
 	public static final String PROMPT = "prompt";
@@ -128,8 +125,8 @@
 
 		if( foundProps && PROMPT.equals(loadDefaults) ) {
-			load = ctx.getMessageRenderer().prompt(res.getString("promptLoadDefaults"));
+			load = ctx.getMessageRenderer().prompt(org.tp23.antinstaller.Installer.langPack.getString("promptLoadDefaults"));
 		}
 		else if( foundProps && PROMPT_AUTO.equals(loadDefaults)) {
-			load = ctx.getMessageRenderer().prompt(res.getString("promptLoadDefaults"));
+			load = ctx.getMessageRenderer().prompt(org.tp23.antinstaller.Installer.langPack.getString("promptLoadDefaults"));
 		}
 		else if( foundProps && LOAD.equals(loadDefaults) ) {
@@ -159,5 +156,5 @@
                     // let major versions pass but prompt for differences
                     if( (! ctx.isAutoBuild()) && helper.majorVersionCompatible(configVersion , propertiesVersion) ){
-                        if( ! ctx.getMessageRenderer().prompt(res.getString("propertiesVersionMismatch")) ){
+                        if( ! ctx.getMessageRenderer().prompt(org.tp23.antinstaller.Installer.langPack.getString("propertiesVersionMismatch")) ){
                             throw new AbortException("Install Aborted: existing configuration is not compatible, config version: " + configVersion);
                         }
@@ -224,5 +221,5 @@
                     if(field instanceof PasswordTextInput) {
                         if(value == null ){
-                            ctx.getMessageRenderer().printMessage(res.getString("promptMissingDefaultPassword"));
+                            ctx.getMessageRenderer().printMessage(org.tp23.antinstaller.Installer.langPack.getString("promptMissingDefaultPassword"));
 
                         }
Index: /release-kits/shared/ant-installer/src/org/tp23/antinstaller/selfextract/ProgressIndicator.java
===================================================================
--- /release-kits/shared/ant-installer/src/org/tp23/antinstaller/selfextract/ProgressIndicator.java	(revision 17513)
+++ /release-kits/shared/ant-installer/src/org/tp23/antinstaller/selfextract/ProgressIndicator.java	(revision 17514)
@@ -52,5 +52,4 @@
 
 	public static final String IMAGE_RESOURCE = "/resources/extract-image.png";
-	private static final ResourceBundle res = ResourceBundle.getBundle("resources.LanguagePack");
 
 	private JPanel jPanel1 = new JPanel();
@@ -61,5 +60,5 @@
 	private static int PAGE_WIDTH = 160;
 	private static int PAGE_HEIGHT = 110; // 35 is text + bar
-	private String title = res.getString("extracting");
+	private String title = org.tp23.antinstaller.Installer.langPack.getString("extracting");
 	private JLabel imagePanel = new JLabel();
 	GridBagLayout gridBagLayout1 = new GridBagLayout();
